
From: Arjan van de Ven <arjan@infradead.org>

cancel_rearming_delayed_workqueue() is only used inside workqueue.c; make
this function static (the more useful wrapper around it later in that
function remains non-static and exported)

Signed-off-by: Arjan van de Ven <arjan@infradead.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/workqueue.h |    2 --
 25-akpm/kernel/workqueue.c        |    3 +--
 2 files changed, 1 insertion(+), 4 deletions(-)

diff -puN include/linux/workqueue.h~make-cancel_rearming_delayed_workqueue-static include/linux/workqueue.h
--- 25/include/linux/workqueue.h~make-cancel_rearming_delayed_workqueue-static	Mon Nov  1 14:31:27 2004
+++ 25-akpm/include/linux/workqueue.h	Mon Nov  1 14:31:27 2004
@@ -70,8 +70,6 @@ extern int current_is_keventd(void);
 extern int keventd_up(void);
 
 extern void init_workqueues(void);
-void cancel_rearming_delayed_workqueue(struct workqueue_struct *wq,
-					struct work_struct *work);
 void cancel_rearming_delayed_work(struct work_struct *work);
 
 /*
diff -puN kernel/workqueue.c~make-cancel_rearming_delayed_workqueue-static kernel/workqueue.c
--- 25/kernel/workqueue.c~make-cancel_rearming_delayed_workqueue-static	Mon Nov  1 14:31:27 2004
+++ 25-akpm/kernel/workqueue.c	Mon Nov  1 14:31:27 2004
@@ -429,13 +429,12 @@ void flush_scheduled_work(void)
  * @wq:   the controlling workqueue structure
  * @work: the delayed work struct
  */
-void cancel_rearming_delayed_workqueue(struct workqueue_struct *wq,
+static void cancel_rearming_delayed_workqueue(struct workqueue_struct *wq,
 					struct work_struct *work)
 {
 	while (!cancel_delayed_work(work))
 		flush_workqueue(wq);
 }
-EXPORT_SYMBOL(cancel_rearming_delayed_workqueue);
 
 /**
  * cancel_rearming_delayed_work - reliably kill off a delayed keventd
_
